package main

import (
	"git.swzry.com/zry/goSBNAT/imsvr"
	"io/ioutil"
	"fmt"
	"golang.org/x/crypto/ssh"
)

func main()  {
	svrcfg := imsvr.ServerConfig{
		BindAddress: "0.0.0.0:1819",
		MaxAuthTries: 5,
	}
	hostkeyfile, err := ioutil.ReadFile("sshhost.key")
	if err != nil {
		fmt.Println("Failed Load Host Key File: ", err)
		return
	}
	hostkey, err := ssh.ParsePrivateKey(hostkeyfile)
	if err != nil{
		fmt.Println("Failed Load Host Key: ", err)
		return
	}
	svrcfg.AddHostKey(hostkey)
}
